List Product Metafields

Returns a list of Product Metafields. Optional parameters can be passed in.

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Products | modify | `store_v2_products` | | Products | read-only | `store_v2_products_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

product_idstringRequired

Query parameters

pageintegerOptional

Specifies the page number in a limited (paginated) list of products.

limitintegerOptional<=250Defaults to 50

Controls the number of items per page in a limited (paginated) list of products.

keystringOptional

Filter based on a metafieldʼs key.

namespacestringOptional

Filter based on a metafieldʼs namespaces.

include_fieldslist of enumsOptional

Fields to include, in a comma-separated list. The ID and the specified fields will be returned.

exclude_fieldslist of stringsOptional

Fields to exclude, in a comma-separated list. The specified fields will be excluded from a response. The ID cannot be excluded.

resource_id:instringOptional

A comma-separated list of entity ID values that filter results to metafields that belong to one of the matching entities.

Response

datalist of objects
metaobject
Data about the response, including pagination and collection totals.